Package com.io7m.idstore.server.service.configuration.jaxb

# Class RateLimiting

java.lang.Object
com.io7m.idstore.server.service.configuration.jaxb.RateLimiting

public class RateLimiting extends Object

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <attribute name="EmailVerificationRateLimit" use="required" type="{http://www.w3.org/2001/XMLSchema}duration" />
           <attribute name="PasswordResetRateLimit" use="required" type="{http://www.w3.org/2001/XMLSchema}duration" />
         </restriction>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Duration`
  `emailVerificationRateLimit`
  `protected Duration`
  `passwordResetRateLimit`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RateLimiting()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Duration`
  `getEmailVerificationRateLimit()`
  Gets the value of the emailVerificationRateLimit property.
  `Duration`
  `getPasswordResetRateLimit()`
  Gets the value of the passwordResetRateLimit property.
  `void`
  `setEmailVerificationRateLimit(Duration value)`
  Sets the value of the emailVerificationRateLimit property.
  `void`
  `setPasswordResetRateLimit(Duration value)`
  Sets the value of the passwordResetRateLimit property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### emailVerificationRateLimit

    protected Duration emailVerificationRateLimit

  - ### passwordResetRateLimit

    protected Duration passwordResetRateLimit

- ## Constructor Details

  - ### RateLimiting

    public RateLimiting()

- ## Method Details

  - ### getEmailVerificationRateLimit

    public Duration getEmailVerificationRateLimit()
    Gets the value of the emailVerificationRateLimit property.
    Returns:
      possible object is `Duration`

  - ### setEmailVerificationRateLimit

    public void setEmailVerificationRateLimit(Duration value)
    Sets the value of the emailVerificationRateLimit property.
    Parameters:
      `value` - allowed object is `Duration`

  - ### getPasswordResetRateLimit

    public Duration getPasswordResetRateLimit()
    Gets the value of the passwordResetRateLimit property.
    Returns:
      possible object is `Duration`

  - ### setPasswordResetRateLimit

    public void setPasswordResetRateLimit(Duration value)
    Sets the value of the passwordResetRateLimit property.
    Parameters:
      `value` - allowed object is `Duration`